Skip to content
Start here

[DEPRECATED] List Pipelines

Deprecated
pipelines.list(PipelineListParams**kwargs) -> PipelineListResponse
GET/accounts/{account_id}/pipelines

[DEPRECATED] List, filter, and paginate pipelines in an account. Use the new /pipelines/v1/pipelines endpoint instead.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pipelines WritePipelines Read
ParametersExpand Collapse
account_id: str

Specifies the public ID of the account.

page: Optional[str]

Specifies which page to retrieve.

per_page: Optional[str]

Specifies the number of pipelines per page.

ReturnsExpand Collapse
class PipelineListResponse:
result_info: ResultInfo
count: float

Indicates the number of items on current page.

page: float

Indicates the current page number.

per_page: float

Indicates the number of items per page.

total_count: float

Indicates the total number of items.

results: List[Result]
id: str

Specifies the pipeline identifier.

destination: ResultDestination
batch: ResultDestinationBatch
max_bytes: int

Specifies rough maximum size of files.

maximum100000000
minimum1000
max_duration_s: float

Specifies duration to wait to aggregate batches files.

maximum300
minimum0.25
max_rows: int

Specifies rough maximum number of rows per file.

maximum10000000
minimum100
compression: ResultDestinationCompression
type: Literal["none", "gzip", "deflate"]

Specifies the desired compression algorithm and format.

One of the following:
"none"
"gzip"
"deflate"
format: Literal["json"]

Specifies the format of data to deliver.

path: ResultDestinationPath
bucket: str

Specifies the R2 Bucket to store files.

filename: Optional[str]

Specifies the name pattern to for individual data files.

filepath: Optional[str]

Specifies the name pattern for directory.

prefix: Optional[str]

Specifies the base directory within the bucket.

type: Literal["r2"]

Specifies the type of destination.

endpoint: str

Indicates the endpoint URL to send traffic.

name: str

Defines the name of the pipeline.

maxLength128
minLength1
source: List[ResultSource]
One of the following:
class ResultSourceCloudflarePipelinesWorkersPipelinesHTTPSource:

[DEPRECATED] HTTP source configuration. Use the new streams API instead.

format: Literal["json"]

Specifies the format of source data.

type: str
authentication: Optional[bool]

Specifies whether authentication is required to send to this pipeline via HTTP.

cors: Optional[ResultSourceCloudflarePipelinesWorkersPipelinesHTTPSourceCORS]
origins: Optional[List[str]]

Specifies allowed origins to allow Cross Origin HTTP Requests.

class ResultSourceCloudflarePipelinesWorkersPipelinesBindingSource:

[DEPRECATED] Worker binding source configuration. Use the new streams API instead.

format: Literal["json"]

Specifies the format of source data.

type: str
version: float

Indicates the version number of last saved configuration.

success: bool

Indicates whether the API call was successful.

[DEPRECATED] List Pipelines

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
pipelines = client.pipelines.list(
    account_id="0123105f4ecef8ad9ca31a8372d0c353",
)
print(pipelines.result_info)
{
  "result_info": {
    "count": 1,
    "page": 0,
    "per_page": 10,
    "total_count": 1
  },
  "results": [
    {
      "id": "123f8a8258064ed892a347f173372359",
      "destination": {
        "batch": {
          "max_bytes": 1000,
          "max_duration_s": 0.25,
          "max_rows": 100
        },
        "compression": {
          "type": "gzip"
        },
        "format": "json",
        "path": {
          "bucket": "bucket",
          "filename": "${slug}${extension}",
          "filepath": "${date}/${hour}",
          "prefix": "base"
        },
        "type": "r2"
      },
      "endpoint": "https://123f8a8258064ed892a347f173372359.pipelines.cloudflare.com",
      "name": "sample_pipeline",
      "source": [
        {
          "format": "json",
          "type": "type",
          "authentication": true,
          "cors": {
            "origins": [
              "*"
            ]
          }
        }
      ],
      "version": 2
    }
  ],
  "success": true
}
Returns Examples
{
  "result_info": {
    "count": 1,
    "page": 0,
    "per_page": 10,
    "total_count": 1
  },
  "results": [
    {
      "id": "123f8a8258064ed892a347f173372359",
      "destination": {
        "batch": {
          "max_bytes": 1000,
          "max_duration_s": 0.25,
          "max_rows": 100
        },
        "compression": {
          "type": "gzip"
        },
        "format": "json",
        "path": {
          "bucket": "bucket",
          "filename": "${slug}${extension}",
          "filepath": "${date}/${hour}",
          "prefix": "base"
        },
        "type": "r2"
      },
      "endpoint": "https://123f8a8258064ed892a347f173372359.pipelines.cloudflare.com",
      "name": "sample_pipeline",
      "source": [
        {
          "format": "json",
          "type": "type",
          "authentication": true,
          "cors": {
            "origins": [
              "*"
            ]
          }
        }
      ],
      "version": 2
    }
  ],
  "success": true
}